Package net.shibboleth.idp.attribute.filter.policyrule.impl

# Class AbstractStringPolicyRule

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractStringPolicyRule

All Implemented Interfaces:
  `PolicyRequirementRule`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `AttributeIssuerPolicyRule`, `AttributeRequesterPolicyRule`, `PrincipalNamePolicyRule`, `ProfilePolicyRule`, `ProxiedRequesterPolicyRule`

public abstract class AbstractStringPolicyRule extends AbstractPolicyRule implements PolicyRequirementRule
General `PolicyRequirementRule` for `String` comparison of strings in Attribute Filters.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`PolicyRequirementRule.Tristate`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`caseSensitive`
Whether the match evaluation is case sensitive.
`private String`
`matchString`
String to match for a positive evaluation.

### Fields inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`MATCHES_ALL, MATCHES_NONE, REQUIREMENT_RULE_FAILS`

## Constructor Summary

Constructors
Constructor
Description
`AbstractStringPolicyRule()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMatchString()`
Gets the string to match for a positive evaluation.
`boolean`
`isCaseSensitive()`
Gets whether the policy evaluation is case sensitive.
`void`
`setCaseSensitive(boolean isCaseSensitive)`
Sets whether the policy evaluation is case sensitive.
`void`
`setMatchString(String match)`
Sets the string to match for a positive evaluation.
`protected PolicyRequirementRule.Tristate`
`stringCompare(String value)`
Matches the given value against the provided match string.

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule

`doInitialize, getLogPrefix`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`matches`

## Field Details

### matchString

@Nullable private String matchString
String to match for a positive evaluation.

### caseSensitive

private boolean caseSensitive
Whether the match evaluation is case sensitive.

## Constructor Details

### AbstractStringPolicyRule

public AbstractStringPolicyRule()

## Method Details

### getMatchString

@Nullable public String getMatchString()
Gets the string to match for a positive evaluation.

Returns:
  string to match for a positive evaluation

### setMatchString

public void setMatchString(@Nullable String match)
Sets the string to match for a positive evaluation.

Parameters:
  `match` - string to match for a positive evaluation

### isCaseSensitive

public boolean isCaseSensitive()
Gets whether the policy evaluation is case sensitive.

Returns:
  whether the policy evaluation is case sensitive

### setCaseSensitive

public void setCaseSensitive(boolean isCaseSensitive)
Sets whether the policy evaluation is case sensitive.

Parameters:
  `isCaseSensitive` - whether the policy evaluation is case sensitive

### stringCompare

@Nonnull protected PolicyRequirementRule.Tristate stringCompare(@Nullable String value)
Matches the given value against the provided match string.

Parameters:
  `value` - the value to evaluate
Returns:
  true if the value matches the given match string, false if not